public static interface GoogleCalendarEndpointBuilderFactory.GoogleCalendarBuilders
| Modifier and Type | Method and Description |
|---|---|
default GoogleCalendarEndpointBuilderFactory.GoogleCalendarEndpointBuilder |
googleCalendar(String path)
Google Calendar (camel-google-calendar)
Perform various operations on a Google Calendar.
|
default GoogleCalendarEndpointBuilderFactory.GoogleCalendarEndpointBuilder |
googleCalendar(String componentName,
String path)
Google Calendar (camel-google-calendar)
Perform various operations on a Google Calendar.
|
default GoogleCalendarEndpointBuilderFactory.GoogleCalendarEndpointBuilder googleCalendar(String path)
google-calendar:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 8 enums and the value can be one of: ACL, LIST, CALENDARS,
CHANNELS, COLORS, FREEBUSY, EVENTS, SETTINGS
Path parameter: methodName (required)
What sub operation to use for the selected operation
There are 14 enums and the value can be one of: calendarImport,
clear, delete, get, insert, instances, list, move, patch, query,
quickAdd, stop, update, watchpath - apiName/methodNamedefault GoogleCalendarEndpointBuilderFactory.GoogleCalendarEndpointBuilder googleCalendar(String componentName, String path)
google-calendar:apiName/methodName
Path parameter: apiName (required)
What kind of operation to perform
There are 8 enums and the value can be one of: ACL, LIST, CALENDARS,
CHANNELS, COLORS, FREEBUSY, EVENTS, SETTINGS
Path parameter: methodName (required)
What sub operation to use for the selected operation
There are 14 enums and the value can be one of: calendarImport,
clear, delete, get, insert, instances, list, move, patch, query,
quickAdd, stop, update, watchcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiName/methodNameApache Camel